For the complete documentation index, see llms.txt. This page is also available as Markdown.

Masterdata

Industry 4.0 AAS Data

The following endpoints can be utilised to access AAS, Submodel Data.

Listing all Assets

Gets all assets

GET https://aasregistry.uat.industryapps.net/api/v1/registry

Gets all assets as a list of AAS Descriptor

[
  {
    "idShort": "string",
    "identification": {
      "id": "string",
      "idType": "Custom"
    },
    "administration": {
      "version": "string",
      "revision": "string"
    },
    "description": [
      {
        "language": "string",
        "text": "string"
      }
    ],
    "asset": {
      "idShort": "string",
      "category": "string",
      "description": [
        {
          "language": "string",
          "text": "string"
        }
      ],
      "parent": {
        "keys": [
          {
            "type": "Asset",
            "idType": "Custom",
            "value": "string",
            "local": true
          }
        ]
      },
      "modelType": {
        "name": "Asset"
      },
      "identification": {
        "id": "string",
        "idType": "Custom"
      },
      "administration": {
        "version": "string",
        "revision": "string"
      },
      "embeddedDataSpecifications": [
        {
          "dataSpecification": {
            "keys": [
              {
                "type": "Asset",
                "idType": "Custom",
                "value": "string",
                "local": true
              }
            ]
          },
          "dataSpecificationContent": {
            "value": "string",
            "valueId": {
              "keys": [
                {
                  "type": "Asset",
                  "idType": "Custom",
                  "value": "string",
                  "local": true
                }
              ]
            },
            "valueType": "anyUri",
            "dataType": "DATE",
            "definition": [
              {
                "language": "string",
                "text": "string"
              }
            ],
            "preferredName": [
              {
                "language": "string",
                "text": "string"
              }
            ],
            "shortName": [
              {
                "language": "string",
                "text": "string"
              }
            ],
            "sourceOfDefinition": "string",
            "symbol": "string",
            "unit": "string",
            "unitId": {
              "keys": [
                {
                  "type": "Asset",
                  "idType": "Custom",
                  "value": "string",
                  "local": true
                }
              ]
            },
            "valueFormat": "string",
            "valueList": {
              "valueReferencePairTypes": [
                {
                  "value": "string",
                  "valueId": {
                    "keys": [
                      {
                        "type": "Asset",
                        "idType": "Custom",
                        "value": "string",
                        "local": true
                      }
                    ]
                  },
                  "valueType": "anyUri"
                }
              ]
            },
            "levelType": [
              "Min"
            ]
          }
        }
      ],
      "kind": "Type",
      "assetIdentificationModel": {
        "keys": [
          {
            "type": "Asset",
            "idType": "Custom",
            "value": "string",
            "local": true
          }
        ]
      },
      "billOfMaterial": {
        "keys": [
          {
            "type": "Asset",
            "idType": "Custom",
            "value": "string",
            "local": true
          }
        ]
      }
    },
    "endpoints": [
      {
        "address": "string",
        "type": "string",
        "parameters": {}
      }
    ],
    "submodelDescriptors": [
      {
        "idShort": "string",
        "identification": {
          "id": "string",
          "idType": "Custom"
        },
        "administration": {
          "version": "string",
          "revision": "string"
        },
        "description": [
          {
            "language": "string",
            "text": "string"
          }
        ],
        "semanticId": {
          "keys": [
            {
              "type": "Asset",
              "idType": "Custom",
              "value": "string",
              "local": true
            }
          ]
        },
        "endpoints": [
          {
            "address": "string",
            "type": "string",
            "parameters": {}
          }
        ]
      }
    ]
  }
]

Get AAS List

Get AAS List

GET https://aasgateway.uat.industryapps.net/aasList

Gets all Asset AAS filtered by provided parameters

Query Parameters

Name
Type
Description

AssetType*

String

Asset Type Code. Allowed asset types are

machine

tool

product

material

component

user

company

site

PlantCode*

String

Underlying Plant Code

Headers

Name
Type
Description

Authorization*

Bearer auth_token

Provide the generated token

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Get AAS

Get an AAS

GET https://aasgateway.uat.industryapps.net/aasList/{aasId}

Get a specific asset AAS by its aasId

Path Parameters

Name
Type
Description

aasId*

URL encoded aasId. eg: urn:industryapps:i40:aas:1:1:product%23NRW0989

Headers

Name
Type
Description

Authorization*

Bearer auth_token

Provide the generated token

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Get Submodel List

Get AAS Submodel List

GET https://aasgateway.uat.industryapps.net/aasList/{aasId}/aas/submodels

Returns a list of submodel objects

Path Parameters

Name
Type
Description

aasId*

String

URL encoded aasId. eg: urn:industryapps:i40:aas:1:1:product%23NRW0989

Headers

Name
Type
Description

Authorization*

Bearer auth_token

Provide the generated token

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Get Submodel

Get an AAS Submodel

GET https://aasgateway.uat.industryapps.net/aasList/{aasId}/aas/submodels/{submodelIdShort}

Get a Submodel of an AAS by submodelId

Path Parameters

Name
Type
Description

aasId*

String

URL encoded aasId. eg: urn:industryapps:i40:aas:1:1:product%23NRW0989

submodelIdShort*

String

IdShort of the Submodel. eg: nameplate

Headers

Name
Type
Description

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Authorization*

Bearer auth_token

Provide the generated token

Get SubmodelElement List

Get all submodel elements of a submodel

GET https://aasgateway.uat.industryapps.net/aasList/{aasId}/aas/submodels/{submodelIdShort}/submodel/submodelElements

Returns all elements of a submodel as a list

Path Parameters

Name
Type
Description

aasId*

String

URL encoded aasId. eg: urn:industryapps:i40:aas:1:1:product%23NRW0989

submodelIdShort*

String

IdShort of the Submodel. eg: nameplate

Headers

Name
Type
Description

Authorization*

Bearer auth_token

Provide the generated token

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Get SubmodelElement

Get a specific SubmodelElement

GET https://aasgateway.uat.industryapps.net/aasList/{aasId}/aas/submodels/{submodelIdShort}/submodel/submodelElements/{submodelElementIdShort}

Returns a submodel element

Path Parameters

Name
Type
Description

aasId*

String

URL encoded aasId. eg: urn:industryapps:i40:aas:1:1:product%23NRW0989

submodelIdShort*

String

IdShort of the Submodel. eg: nameplate

submodelElementIdShort*

String

IdShort of the Submodel Element. eg: ManufacturerName

Headers

Name
Type
Description

Authorization*

Bearer auth_token

Provide the generated token

UserToken*

Bearer user_token

Provide the token received from the user data javascript method

Last updated